Crypt::Random::Source::Base::Proc(3pm)

NAME
Crypt::Random::Source::Base::Proc - Base class for helper processes (e.g. "openssl")

VERSION
version 0.14

SYNOPSIS
    use Moo;
    extends qw(Crypt::Random::Source::Base::Proc);

    has '+command' => ( default => ... );

DESCRIPTION
This is a base class for using command line utilities which output random data on STDOUT as Crypt::Random::Source objects.

ATTRIBUTES

  command
An array reference or string that is the command to run.

METHODS

  open_handle
Opens a pipe for reading using "command".

SUPPORT
Bugs may be submitted through the RT bug tracker <https://rt.cpan.org/Public/Dist/Display.html?Name=Crypt-Random-Source> (or bug-Crypt-Random-Source@rt.cpan.org <mailto:bug-Crypt-Random-Source@rt.cpan.org>).

AUTHOR
יובל קוג'מן (Yuval Kogman) <nothingmuch@woobling.org>

COPYRIGHT AND LICENCE
This software is copyright (c) 2008 by Yuval Kogman.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.